.general-container-cards-what-need {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 120px;
}

#text-what-need-web {
    color: var(--neutrals-800, var(--Color-Neutrals-Neutrals800, #433f3e));
    text-align: center;
    font-family: "Open Sans", sans-serif;
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

#text-what-need-mobile {
    display: none;
}

.container-cards-what-need {
    border-radius: 8px;
    background: rgba(255, 255, 255, 0.45);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.05) !important;
    display: flex;
    padding: 20px;
    justify-content: center;
    align-items: center;
    gap: 20px;
    width: 100%;
    max-width: 780px;
    height: 170px;
}

.card-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    max-width: 180px;
}

.card-item p {
    font-size: 16px;
    color: #333;
    margin: 0;
}

.icon {
    font-size: 40px;
    color: #16a34a;
    margin-bottom: 10px;
}

@media screen and (min-width: 10px) and (max-width: 355px) {
    .general-container-cards-what-need {
        margin-top: 40px;
        gap: initial;
    }

    #text-what-need-web {
        display: none;
    }

    #text-what-need-mobile {
        color: var(--Color-Neutrals-Neutrals800, #433f3e);
        text-align: center;
        font-family: "Open Sans", sans-serif;
        font-size: 20px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        display: block;
    }

    .container-cards-what-need {
        gap: 10px;
        height: auto;
        padding: 20px;
        max-width: 97%;
        box-shadow: none !important;
        background: transparent;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }

    .card-item {
        height: 136px;
        border-radius: 8px;
        background: rgba(255, 255, 255, 0.4);
        box-shadow: 0 4px 8.4px 0 rgba(0, 0, 0, 0.25);
        width: 129px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding: 10px;
    }
}

@media screen and (min-width: 357px) and (max-width: 768px) {
    .general-container-cards-what-need {
        margin-top: 40px;
    }

    #text-what-need-web {
        display: none;
    }

    #text-what-need-mobile {
        color: var(--Color-Neutrals-Neutrals800, #433f3e);
        text-align: center;
        font-family: "Open Sans", sans-serif;
        font-size: 20px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        display: block;
    }

    .container-cards-what-need {
        flex-direction: column;
        gap: 20px;
        height: auto;
        padding: 20px 0;
        max-width: 100%;
        box-shadow: none !important;
        background: transparent;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }

    .card-item {
        height: 136px;
        border-radius: 8px;
        background: rgba(255, 255, 255, 0.4);
        box-shadow: 0 4px 8.4px 0 rgba(0, 0, 0, 0.25);
        width: 129px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding: 10px;
    }
}